#%RAML 1.0
title: Caretrack Lists
version: v1
baseUri: https://mycaretrackhealth.com/lists/api
types:
  User:
    type: object
    properties:
      token: string
  Error400:
    type: object
    properties:
      status: string
      code: number
      response:
        properties:
          message: string
/login/iniciarSesion:
  post:
    body:
      application/json:
        properties:
          login: string,
          password: string
    responses:
      200:
        body:
          application/json:
            properties:
              status: string
              code: number
              response:
                properties:
                  message: string
                  data:
                    properties:
                      token: string
      400:
        body:
          application/json: Error400
/login/validarUsuario:
  post:
    body:
      application/json:
        properties:
          user:
            properties:
              token: string
    responses:
      200:
        body:
          application/json:
            properties:
              status: string
              code: number
              response:
                properties:
                  message: string
                  data:
                    properties:
                      usuario:
                        properties:
                          id: number
                          nombre: string
                          login: string
                          correo: string
                          perfil: number
                          token: string
                          logged: number
      400:
        body:
          application/json: Error400
/lists/uploadFile:
  post:
    body:
      application/x-www-form-urlencoded:
        properties:
          list: file
          ipa: string
          user: User
          period:
            properties:
              start: date-only
              end: date-only
    responses:
      200:
        body:
          application/json:
            properties:
              status: string
              code: number
              response:
                properties:
                  message: string
                  data:
                    properties:
                      list:
                        properties:
                          id: number
                      totals:
                        properties:
                          count: number
                          new: number
                          missing: number
                      patients:
                        properties:
                          status: string
                          ProviderLName: string
                          ProviderNpi: string
                          IPAName: string
                          SubscriberName: string
                          MemberLName: string
                          MemberFName: string
                          DateofBirth: string
                          MemberPhone: string
                          Gender: string
                          MemberEffectiveDate: string
                          MemberAddress: string
                          City: string
                          State: string
                          Zip: string
                          County: string
                          Language: string
      400:
        body:
          application/json: Error400
/lists/importPatients:
  post:
    body:
      application/json:
        properties:
          list:
            properties:
              id: number
          user:
            properties:
              token: string
    responses:
      200:
        body:
          application/json:
            properties:
              status: string
              code: number
              response:
                properties:
                  message: string
      400:
        body:
          application/json: Error400
/lists/getLists:
  post:
    body:
      application/x-www-form-urlencoded:
        properties:
          user:
            properties:
              token: string
          period:
            properties:
              start: date-only
              end: date-only
    responses:
      200:
        body:
          application/json:
            properties:
              status: string
              code: number
              response:
                properties:
                  message: string
                  data:
                    type: object
                    properties:
                      produced: array
                      totals: array
                      ipas:
                        type: string[]
                      lists:
                        properties:
                          [ipa]:
                            type: object[]
                            properties:
                              id: number
                              data:
                                type: object
                                properties:
                                  date: date-only
                                  rep: string
                                  status: string
                              ipa: string
                              total: number
                              total_extended:
                                properties:
                                  current: number
                                  new: number
                                  missing: number
                              period:
                                properties:
                                  start: date-only
                                  end: date-only
      400:
        body:
          application/json: Error400
/lists/deleteList:
  post:
    body:
      application/x-www-form-urlencoded:
        properties:
          user:
            properties:
              token: string
          list:
            properties:
              id: number
    responses:
      200:
        body:
          application/json:
            properties:
              status: string
              code: number
              response:
                properties:
                  message: string
      400:
        body:
          application/json: Error400
